<?php
/**
 * 活动征集范围
 * $Id$
 * @author huangliang
 * @package cn.compass.entity.definition
 */
class EventScope
{
	public $id;
	public $title;
	
	function __construct($record) {
		$this->id = $record["id"];
		$this->title = $record["title"];
	}
	
	/**
	 * 
	 * @return array EventScope
	 */
	public static function getList() {
		static $result;
			
		if ((!is_array($result)) || (count($result) < 1)) {
			
			$data = array();

			$tmp = array("id"=>1, "title"=>"全部对象");
			array_push($data, $tmp);
			
			$tmp = array("id"=>2, "title"=>"校内");
			array_push($data, $tmp);
			
			$tmp = array("id"=>3, "title"=>"社会机构");
			array_push($data, $tmp);
			
			$tmp = array("id"=>4, "title"=>"指定班级");
			array_push($data, $tmp);
					
			
			$result = array();
			foreach ($data as $row) {
				$tmp2 = new EventScope($row);
				array_push($result, $tmp2);
			}
		}
		return $result;
	}
	
	/**
	 * 
	 * @return EventScope 
	 */
	public static function getById($id) {
		$list = EventScope::getList();
		foreach ($list as $tmp) {
			if ($tmp->id == $id) {
				return $tmp;
			}
		}
		return null;
	}
	
	/**
	 * 
	 * @return EventScope 
	 */
	public static function getTitleById($id) {
		$list = EventScope::getList();
		foreach ($list as $tmp) {
			if ($tmp->id == $id) {
				return $tmp->title;
			}
		}
		return null;
	}
	

}